View Issue Details

IDProjectCategoryView StatusLast Update
0003406SymmetricDSImprovementpublic2018-03-12 08:28
ReportermmichalekAssigned Tommichalek 
Prioritynormal 
Status closedResolutionfixed 
Product Version3.9.3 
Target Version3.9.4Fixed in Version3.9.4 
Summary0003406: Improvements for Timeouts related to slow databases
DescriptionA user discovered a situation where an extremely slow database led to difficult to understand logging and timeouts. The goal here is to improve SymmetricDS' handling of very slow batch extract situations in particular.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.9 1be4a4e8

2018-02-05 16:50:09

mmichalek

Details Diff
0003406: Improvements for Timeouts related to slow databases
0003406
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/io/stage/SimpleStagingDataWriter.java Diff File

SymmetricDS: 3.9 1fc4bf11

2018-02-05 16:55:14

mmichalek

Details Diff
0003406: Improvements for Timeouts related to slow databases
- run requeryIfEnoughTimeHasPassed on the background thread.

0003406
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/DataExtractorService.java Diff File
mod - symmetric-core/src/main/resources/symmetric-default.properties Diff File

SymmetricDS: 3.9 d0cede25

2018-02-06 16:20:56

mmichalek

Details Diff
0003406: Improvements for Timeouts related to slow databases
0003406
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/io/stage/SimpleStagingDataWriter.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/DataExtractorService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/transport/IOutgoingTransport.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/transport/file/FileOutgoingTransport.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/transport/http/HttpOutgoingTransport.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/transport/internal/InternalOutgoingTransport.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/transport/internal/InternalOutgoingWithResponseTransport.java Diff File
mod - symmetric-jdbc/src/main/java/org/jumpmind/driver/Driver.java Diff File
mod - symmetric-server/src/test/java/org/jumpmind/symmetric/transport/mock/MockOutgoingTransport.java Diff File

SymmetricDS: 3.9 957a6f12

2018-02-16 12:25:57

mmichalek

Details Diff
0003406: Improvements for Timeouts related to slow databases
0003406
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/DataExtractorService.java Diff File

Issue History

Date Modified Username Field Change
2018-02-05 16:48 mmichalek New Issue
2018-02-05 16:48 mmichalek Status new => assigned
2018-02-05 16:48 mmichalek Assigned To => mmichalek
2018-02-06 16:21 mmichalek Status assigned => resolved
2018-02-06 16:21 mmichalek Resolution open => fixed
2018-02-06 16:21 mmichalek Fixed in Version => 3.9.4
2018-02-14 15:08 mmichalek Changeset attached => SymmetricDS 3.9 d0cede25
2018-02-14 15:08 mmichalek Changeset attached => SymmetricDS 3.9 1fc4bf11
2018-02-14 15:08 mmichalek Changeset attached => SymmetricDS 3.9 1be4a4e8
2018-02-16 13:00 mmichalek Changeset attached => SymmetricDS 3.9 957a6f12
2018-03-12 08:28 chenson Status resolved => closed